:li

/* strom.c - Ein "Data-Stream" Utility
#include <stdio.h>
#include <fcntl.h>

extern int errno;

#define SSIZE 4096*1024

main(argc,argv)
int argc; char *argv[];
{
	char *s,*strom,*malloc();
	int size = 0;
	int c;

	if ((strom=malloc(SSIZE))==NULL) {
		fprintf (stderr,"malloc failed\n");
		exit (errno);
	}
	s = strom;
	while ((c=fgetc(stdin))!=EOF) {
		*s++ = c; size++;
		if (size == SSIZE) {
			write (1,strom,size);
			size = 0;
			s = strom;
		}
	}
	if (size) write (1,strom,size);
	free (strom);
}

